package com.xinyilu.system.service.testcategoryitem.impl;

import com.xinyilu.system.domain.testcategoryitem.TestCategoryItem;
import com.xinyilu.system.mapper.testcategoryitem.TestCategoryItemMapper;
import com.xinyilu.system.service.testcategoryitem.ITestCategoryItemService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;


/**
 * 测试分类和测试项目关系Service业务层处理
 *
 * @author xinyilu
 * @date 2022-11-03
 */
@Service
public class TestCategoryItemServiceImpl implements ITestCategoryItemService {
    @Resource
    private TestCategoryItemMapper testCategoryItemMapper;

    /**
     * 查询测试分类和测试项目关系
     *
     * @param id 测试分类和测试项目关系主键
     * @return 测试分类和测试项目关系
     */
    @Override
    public TestCategoryItem selectTestCategoryItemById(Long id) {
        return testCategoryItemMapper.selectTestCategoryItemById(id);
    }

    /**
     * 查询测试分类和测试项目关系列表
     *
     * @param testCategoryItem 测试分类和测试项目关系
     * @return 测试分类和测试项目关系
     */
    @Override
    public List<TestCategoryItem> selectTestCategoryItemList(TestCategoryItem testCategoryItem) {
        return testCategoryItemMapper.selectTestCategoryItemList(testCategoryItem);
    }

    /**
     * 新增测试分类和测试项目关系
     *
     * @param testCategoryItem 测试分类和测试项目关系
     * @return 结果
     */
    @Override
    public int insertTestCategoryItem(TestCategoryItem testCategoryItem) {
        testCategoryItem.setCreateTime(LocalDateTime.now());
        return testCategoryItemMapper.insertTestCategoryItem(testCategoryItem);
    }

    /**
     * 修改测试分类和测试项目关系
     *
     * @param testCategoryItem 测试分类和测试项目关系
     * @return 结果
     */
    @Override
    public int updateTestCategoryItem(TestCategoryItem testCategoryItem) {
        testCategoryItem.setUpdateTime(LocalDateTime.now());
        return testCategoryItemMapper.updateTestCategoryItem(testCategoryItem);
    }

    /**
     * 批量删除测试分类和测试项目关系
     *
     * @param ids 需要删除的测试分类和测试项目关系主键
     * @return 结果
     */
    @Override
    public int deleteTestCategoryItemByIds(Long[] ids) {
        return testCategoryItemMapper.deleteTestCategoryItemByIds(ids);
    }

    /**
     * 删除测试分类和测试项目关系信息
     *
     * @param id 测试分类和测试项目关系主键
     * @return 结果
     */
    @Override
    public int deleteTestCategoryItemById(Long id) {
        return testCategoryItemMapper.deleteTestCategoryItemById(id);
    }
}
